--------------------------------------------------------------------
-- PLG English Localization
--------------------------------------------------------------------

PLG["enUS"] = {
	["msgs"] = {
		["ERR_LEARN"]     = "Go to your trainer and learn the following recipe:",
		["ERR_LEARNVEND"] = "Go to the vendor listed below and obtain the following recipe:",
		["ERR_LOW_LEVEL"] = "You must be level %s to use the following recipe:",
		["ERR_MAX_LEVEL"] = "Max Level, No more recipes. PLG is closing.",
		["ERR_MAX_SKILL"] = "You have reached the max skill for this level. Go see your trainer.",
		["ERR_DATA"]      = "Data not found. PLG is closing.",
		["CREATE"]        = "Create %s of the following recipe until skill level %s.",
		["TRAINER"]       = "Go see your trainer!",
		["KEEP"]          = "You will need to keep these for future recipes.",
		["WAITING"]       = "Waiting for server...",
	},
	["labels"] = {
		["TITLE"]         = "Profession Leveling Guide",
		["NAME"]          = "PLG",
		["INSTRUCTIONS"]  = "Instructions",
		["RECIPE"]        = "Recipe",
		["ALTERNATE"]     = "Alternate",
		["REAGENTS"]      = "Reagents",
		["QUEST"]         = "QUEST",
		["NPC"]           = "VENDOR",
		["TRACKING"]      = "Track Missing Reagents",
		["CLRTRACKING"]   = "Reset",	
		["HELPTITLE"]     = "PLG Help",
	},	
	["tooltips"] = {
		["HELPTITLE"]     = "PLG Help",
		["HELPTEXT"]      = "Click to show/hide the help screen for ",
		["DEBUGTITLE"]    = "PLG Debugging",
		["DEBUGTEXT"]     = "Click to imitate profession leveling.",
		["TRACKING"]      = "Add missing reagents to the Quest Tracker",	
		["CLRTRACKING"]   = "Clear reagents from the Quest Tracker",	
		["SELECT"]        = "(Click to select)",
		["WAYPOINT"]      = "Click to set a waypoint.",
		["QUEST1TITLE"]   = "Recipe Quest",
		["QUEST1"]        = "This recipe must be obtained through the above quest chain.  The quest giver and location are listed below. ",
		["QUEST2TITLE"]   = "Prerequisite Quest",
		["QUEST2"]        = "This quest chain must be completed first.  The quest giver and location are listed below.",
		["VENDOR"]        = "Recipe Vendor",
		["VENDOR1"]       = "This recipe must be obtained through a vendor.  The vendor and location are listed below. ",
		["NPC"]           = "NPC",
		["LOCATION"]      = "Location",
	},
	["help"] = {	
		["TEXT"]          = "\n\n|cff000000INSTRUCTIONS:|r\nThe instructions text will provide important information such as how many of a pattern or recipe to create, or when and where to learn a new recipe.  \n\n|cff000000RECIPES:|r\nPLG will switch to a new recipe determined by your current skill level. Sometimes an alternate recipe will be displayed.  Click it to display the alternate recipe's reagents. Recipes that are not selected will appear to be shaded. Above each recipe is a color bar to indicate the difficulty level of the recipe.  \n\n|cff000000REAGENTS:|r\nThe guide will display the total number of reagents needed to complete a level. For example, to make one elixir you need one vial.  To get to the next level you need 5 elixirs. The guide will tell you to obtain 5 vials.   \n\n|cff000000VENDORS:|r\nSometimes a recipe must be obtained somewhere other than your trainer.  An icon will be shown  next to the primary recipe for a vendor |T"..PLG.textures.VENDORRECIPE..":16|t or quest chain |T"..PLG.textures.QUESTRECIPE..":16|t.  The tooltip of this icon will display the quest name (if necessary), vendor, and vendor location.  Clicking the icon will set a waypoint in TomTom or Carbonite to direct you to the vendor or quest giver. \n\n|cff000000OTHER NOTES:|r\n* Any item that can be clicked will cause the cursor to glow blue. \n\n* Each recipe, if known, will be selected automatically in the trade skill window.\n\n* Once you reach the max skill level for a profession, this guide will no longer display for that profession.\n\n* 25 points prior to reaching the max skill points for your level, orange text at the top of the window will warn you that you need to visit your trainer.\n\n|cff000000GOOD LUCK!",
		["Cooking"]       = "\n\n|cff000000COOKING:|r\nThe simplest way to level cooking if you are below level 85 is to participate in the Pilgrim's Bounty world event.  In this one event you can level cooking from 1 to around 350 and become a Grand Master.  At level 85 you can go to Halfhill Market in Pandaria and talk to Sungshin Ironpaw.  There you can level cooking from 1-600. If you wish to level cooking as you play, then use this guide.",
		["Alchemy"]       = "\n\n|cff000000ALCHEMY:|r\nThis profession is best combined with Herbalism, you can save a lot of gold if you level these two professions together because you can farm all the needed herbs.",
		["Blacksmithing"] = "\n\n|cff000000BLACKSMITHING:|r\nThis profession is best combined with Mining, you can save a lot of gold if you level these two professions together because you can farm all the needed metals.",
		["Enchanting"] = "\n\n|cff000000ENCHANTING:|r\nThis profession is best combined with Tailoring, as you can disenchant most of the cloths you create.",
		["Engineering"] = "\n\n|cff000000ENGINEERING:|r\nThis profession is best combined with Mining, you can save a lot of gold if you level these two professions together because you can farm all the needed metals.",
		["Inscription"] = "\n\n|cff000000INSCRIPTION:|r\nThis profession is best combined with Herbalism, you can save a lot of gold if you level these two professions together because you can farm all the needed herbs.",
		["Jewelcrafting"] = "\n\n|cff000000JEWELCRAFTING:|r\nThis profession is best combined with Mining or Enchanting, you can save a lot of gold if you level these two professions together because you can either farm all the needed materials, or disenchant what you make.",
		["Leatherworking"] = "\n\n|cff000000LEATHERWORKING:|r\nThis profession is best combined with Skinning, you can save a lot of gold if you level these two professions together because you can farm all the needed materials.",
		["Tailoring"] = "\n\n|cff000000TAILORING:|r\nYou will need thousands of cloths if you want to level Tailoring. It will cost thousands of gold to buy the cloths, or if you farm them, it will take a lot of time to farm everything. Tailoring is good combined with Enchanting because you will be able to disenchant most items you create.",
	},
}